OpenTTD Source: RoadVehicleInfo Struct Reference

OpenTTD Source 15.0-beta1

Data Fields
RoadVehicleInfo Struct Reference

Information about a road vehicle. More...

`#include <engine_type.h>`

## Data Fields
uint8_t | image_index
uint8_t | cost_factor
uint8_t | running_cost
Price | running_cost_class
SoundID | sfx
uint16_t | max_speed
| Maximum speed (1 unit = 1/3.2 mph = 0.5 km-ish/h)
uint8_t | capacity
uint8_t | weight
| Weight in 1/4t units.
uint8_t | power
| Power in 10hp units.
uint8_t | tractive_effort
| Coefficient of tractive effort.
uint8_t | air_drag
| Coefficient of air drag.
uint8_t | visual_effect
| Bitstuffed NewGRF visual effect data.
uint8_t | shorten_factor
| length on main map for this type is 8 - shorten_factor
RoadType | roadtype
| Road type.

## Detailed Description

Information about a road vehicle.

Definition at line 114 of file engine_type.h.

## Field Documentation

## ◆ air_drag

uint8_t RoadVehicleInfo::air_drag

Coefficient of air drag.

Definition at line 125 of file engine_type.h.

Referenced by RoadVehicle::GetAirDrag(), and RoadVehicleChangeInfo().

## ◆ capacity

uint8_t RoadVehicleInfo::capacity

Definition at line 121 of file engine_type.h.

## ◆ cost_factor

uint8_t RoadVehicleInfo::cost_factor

Definition at line 116 of file engine_type.h.

## ◆ image_index

uint8_t RoadVehicleInfo::image_index

Definition at line 115 of file engine_type.h.

## ◆ max_speed

uint16_t RoadVehicleInfo::max_speed

Maximum speed (1 unit = 1/3.2 mph = 0.5 km-ish/h)

Definition at line 120 of file engine_type.h.

Referenced by AfterLoadGRFs(), RoadVehicleChangeInfo(), and RoadVehUpdateCache().

## ◆ power

uint8_t RoadVehicleInfo::power

Power in 10hp units.

Definition at line 123 of file engine_type.h.

Referenced by RoadVehicleChangeInfo().

## ◆ roadtype

RoadType RoadVehicleInfo::roadtype

Road type.

Definition at line 128 of file engine_type.h.

Referenced by AfterLoadGRFs(), CheckAutoreplaceValidity(), CmdBuildRoadVehicle(), GetCompanyRoadTypes(), GetEngineCategoryName(), GetRoadTypes(), IsEngineBuildable(), and NewVehicleAvailable().

## ◆ running_cost

uint8_t RoadVehicleInfo::running_cost

Definition at line 117 of file engine_type.h.

## ◆ running_cost_class

Price RoadVehicleInfo::running_cost_class

Definition at line 118 of file engine_type.h.

## ◆ sfx

SoundID RoadVehicleInfo::sfx

Definition at line 119 of file engine_type.h.

## ◆ shorten_factor

uint8_t RoadVehicleInfo::shorten_factor

length on main map for this type is 8 - shorten_factor

Definition at line 127 of file engine_type.h.

Referenced by GetRoadVehLength(), and RoadVehicleChangeInfo().

## ◆ tractive_effort

uint8_t RoadVehicleInfo::tractive_effort

Coefficient of tractive effort.

Definition at line 124 of file engine_type.h.

Referenced by RoadVehicleChangeInfo().

## ◆ visual_effect

uint8_t RoadVehicleInfo::visual_effect

Bitstuffed NewGRF visual effect data.

Definition at line 126 of file engine_type.h.

Referenced by RoadVehicleChangeInfo(), and Vehicle::UpdateVisualEffect().

## ◆ weight

uint8_t RoadVehicleInfo::weight

Weight in 1/4t units.

Definition at line 122 of file engine_type.h.

Referenced by RoadVehicleChangeInfo().

The documentation for this struct was generated from the following file:

- src/engine_type.h